Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.context
Class ContextHashMap.Entry

    java.lang.Object
      ix.util.context.ContextHashMap.Entry

All Implemented Interfaces:
  java.util.Map.Entry<K,V>

Enclosing class:
  ContextHashMap<K,V>

    protected class ContextHashMap.Entry

extends java.lang.Object
implements java.util.Map.Entry<K,V>

The Map.Entry implementation for a ContextHashMap.

Field Summary
`(package private) K` | `key`
`(package private) ContextHashMap.Entry` | `nextEntry`
`(package private) ContextLink` | `valLink`

Constructor Summary
`ContextHashMap.Entry(K key, ContextLink valLink)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`K` | `getKey()`
`(package private) ContextHashMap.Entry` | `getNext()`
`V` | `getValue()`
`int` | `hashCode()`
`(package private) void` | `linkAfter(ContextHashMap.Entry previous)`
`V` | `setValue(V value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    K key

### valLink

    ContextLink valLink

### nextEntry

    ContextHashMap.Entry nextEntry

Constructor Detail

### ContextHashMap.Entry

    ContextHashMap.Entry(K key,
                         ContextLink valLink)

Method Detail

### getKey

    public K getKey()

  Specified by:
    `getKey` in interface `java.util.Map.Entry<K,V>`

### getValue

    public V getValue()

  Specified by:
    `getValue` in interface `java.util.Map.Entry<K,V>`

### setValue

    public V setValue(V value)

  Specified by:
    `setValue` in interface `java.util.Map.Entry<K,V>`

### getNext

    ContextHashMap.Entry getNext()

### linkAfter

    void linkAfter(ContextHashMap.Entry previous)

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Map.Entry<K,V>`
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map.Entry<K,V>`
  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD